
From: Michael Hunold <hunold@linuxtv.org>

The attached patch keeps the tvaudio i2c helper module away from any
saa7146 based framegrabber.  All saa7146 drivers have their dedicated i2c
helper modules and don't work together with tvaudio, so keep it away
alltogether.  This will make mixed-card configurations work.

The patch was discussed and ack'ed by Gerd Knorr.

- don't attach tvaudio module on saa7146 i2c busses

Signed-off-by: Michael Hunold <hunold@linuxtv.org>
Acked-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/tvaudio.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/media/video/tvaudio.c~v4l-keep-tvaudio-driver-away-from-saa7146 drivers/media/video/tvaudio.c
--- 25/drivers/media/video/tvaudio.c~v4l-keep-tvaudio-driver-away-from-saa7146	2004-11-03 23:31:11.501423720 -0800
+++ 25-akpm/drivers/media/video/tvaudio.c	2004-11-03 23:31:11.506422960 -0800
@@ -1497,6 +1497,10 @@ static int chip_attach(struct i2c_adapte
 
 static int chip_probe(struct i2c_adapter *adap)
 {
+	/* don't attach on saa7146 based cards,
+	   because dedicated drivers are used */
+	if ((adap->id & I2C_ALGO_SAA7146))
+		return 0;
 #ifdef I2C_CLASS_TV_ANALOG
 	if (adap->class & I2C_CLASS_TV_ANALOG)
 		return i2c_probe(adap, &addr_data, chip_attach);
_
